# NOTE
# - the md5 is different in various wp backends, so invoke packages/fetchsrc_request
#   several times until distfiles catches the same one you downloaded.
Summary:	PHP-based software which blocks automated link spam
Summary(pl.UTF-8):	Oparte na PHP oprogramowanie blokujące spam z automatycznych odnośników
Name:		php-bad-behavior
Version:	2.0.47
Release:	2
License:	GPL v2
Group:		Applications/WWW
Source0:	http://downloads.wordpress.org/plugin/bad-behavior.%{version}.zip
# Source0-md5:	67d3731eb3868275f32bf83e1965a65c
URL:		http://www.bad-behavior.ioerror.us/
BuildRequires:	unzip
Requires:	php(core)
Obsoletes:	bad-behavior
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{php_data_dir}/bad-behavior

%description
Bad Behavior is a set of PHP scripts which prevents spambots from
accessing your site by analyzing their actual HTTP requests and
comparing them to profiles from known spambots. It goes far beyond
User-Agent and Referer, however. Bad Behavior is available for several
PHP-based software packages, and also can be integrated in seconds
into any PHP script.

%description -l pl.UTF-8
Bad Behavior to zbiór skryptów PHP zapobiegający dostępowi spambotów
do strony poprzez analizę ich żądań HTTP i porównywanie z profilami
znanych spambotów. Wykracza znacząco poza User-Agent i Referer. Bad
Behavior jest dostępny dla kilku opartych na PHP pakietów, może być
także zintegrowany w krótkim czasie z dowolnym skryptem PHP.

%prep
# unpack in ascii mode
%define __unzip /usr/bin/unzip -a
%setup -qc
mv {,.}bad-behavior
mv .bad-behavior/* .
rm index.html bad-behavior/index.html

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}
cp -a bad-behavior* $RPM_BUILD_ROOT%{php_data_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{php_data_dir}/bad-behavior
%{php_data_dir}/bad-behavior-generic.php
%{php_data_dir}/bad-behavior-lifetype.php
%{php_data_dir}/bad-behavior-mediawiki.php
%{php_data_dir}/bad-behavior-wordpress-admin.php
%{php_data_dir}/bad-behavior-wordpress.php
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 73dc6f7
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Sun May 13 2012 Elan Ruusamäe <glen@pld-linux.org> fbcac34
- up to 2.0.47

* Sun Feb 14 2010 Elan Ruusamäe <glen@pld-linux.org> 9586d15
- 2.0.36

* Tue Dec 15 2009 Elan Ruusamäe <glen@pld-linux.org> 1324533
- fetchsrc_request note

* Tue Dec 15 2009 Elan Ruusamäe <glen@pld-linux.org> b255d89
- rename to php-bad-behavior
- removed extra subdir
- up to 2.0.34

* Thu Nov 19 2009 Elan Ruusamäe <glen@pld-linux.org> 08fc657
- up to 2.0.33

* Mon Nov 02 2009 Elan Ruusamäe <glen@pld-linux.org> cfa8a6a
- update to 2.0.32

* Thu Jun 11 2009 Elan Ruusamäe <glen@pld-linux.org> aa2edd3
- update to 2.0.28

* Thu Feb 26 2009 Elan Ruusamäe <glen@pld-linux.org> 8c01224
- R: php

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> 3fae5df
- 2.0.26

* Thu Sep 25 2008 Elan Ruusamäe <glen@pld-linux.org> ba66a50
- 2.0.24

* Sun Aug 24 2008 Elan Ruusamäe <glen@pld-linux.org> 950358e
- md5

* Sun Aug 24 2008 Elan Ruusamäe <glen@pld-linux.org> 6ff0215
- md5 (looks like generated,  but somewhat cached zip upstream)

* Sun Aug 24 2008 Elan Ruusamäe <glen@pld-linux.org> ed6bb2c
- update to 2.0.23

* Wed Aug 06 2008 Elan Ruusamäe <glen@pld-linux.org> 9e2935e
- md5

* Wed Aug 06 2008 Elan Ruusamäe <glen@pld-linux.org> a96e366
- md5

* Wed Aug 06 2008 Elan Ruusamäe <glen@pld-linux.org> 9f05f58
- 2.0.22

* Tue Aug 05 2008 Elan Ruusamäe <glen@pld-linux.org> e3a2299
- update to 2.0.21

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 538243d
- removed extra nl

* Sun Jul 13 2008 Elan Ruusamäe <glen@pld-linux.org> ed06799
- 2.0.20, verbose files

